From 3123b8e9f5923fd06e4eeb9e0727b7cc42fd94f6 Mon Sep 17 00:00:00 2001
From: Jonathan Neal <jonathantneal@hotmail.com>
Date: Sat, 19 Mar 2016 17:00:31 -0400
Subject: [PATCH] Update project configuration

---
 .editorconfig | 12 ++++++++++++
 .stylelintrc  | 34 ----------------------------------
 bower.json    | 17 +++++++++++++++++
 package.json  | 24 ++++++++++++++----------
 4 files changed, 43 insertions(+), 44 deletions(-)
 create mode 100644 .editorconfig
 delete mode 100644 .stylelintrc
 create mode 100644 bower.json

diff --git a/.editorconfig b/.editorconfig
new file mode 100644
index 000000000..4039ff111
--- /dev/null
+++ b/.editorconfig
@@ -0,0 +1,12 @@
+root = true
+
+[*]
+charset = utf-8
+end_of_line = lf
+indent_size = 2
+indent_style = space
+insert_final_newline = true
+trim_trailing_whitespace = true
+
+[*.md]
+trim_trailing_whitespace = false
diff --git a/.stylelintrc b/.stylelintrc
deleted file mode 100644
index 64dead837..000000000
--- a/.stylelintrc
+++ /dev/null
@@ -1,34 +0,0 @@
-{
-  "rules": {
-    "block-closing-brace-newline-after": "always",
-    "block-closing-brace-newline-before": "always",
-    "block-no-empty": true,
-    "block-opening-brace-newline-after": "always",
-    "block-opening-brace-space-before": "always",
-    "color-hex-case": "lower",
-    "color-hex-length": "short",
-    "color-no-invalid-hex": true,
-    "comment-empty-line-before": "always",
-    "comment-whitespace-inside": "always",
-    "declaration-block-no-single-line": true,
-    "declaration-block-semicolon-newline-after": "always",
-    "declaration-block-semicolon-space-before": "never",
-    "declaration-colon-space-after": "always",
-    "declaration-colon-space-before": "never",
-    "indentation": 2,
-    "max-empty-lines": 1,
-    "max-line-length": 80,
-    "no-eol-whitespace": true,
-    "no-missing-eof-newline": true,
-    "number-leading-zero": "always",
-    "number-no-trailing-zeros": true,
-    "rule-trailing-semicolon": "always",
-    "selector-combinator-space-after": "always",
-    "selector-combinator-space-before": "always",
-    "selector-list-comma-newline-after": "always",
-    "selector-list-comma-space-before": "never",
-    "string-quotes": "double",
-    "value-list-comma-space-after": "always",
-    "value-list-comma-space-before": "never"
-  }
-}
diff --git a/bower.json b/bower.json
new file mode 100644
index 000000000..e8f0d67e0
--- /dev/null
+++ b/bower.json
@@ -0,0 +1,17 @@
+{
+  "name": "normalize-css",
+  "description": "A modern alternative to CSS resets",
+  "main": "normalize.css",
+  "authors": [
+    "Jonathan Neal <jonathantneal@hotmail.com> (http://jonathantneal.com/)",
+    "Nicolas Gallagher <nicolas@nicolasgallagher.com> (http://nicolasgallagher.com/)"
+  ],
+  "license": "MIT",
+  "ignore": [
+    "CHANGELOG.md",
+    "CONTRIBUTING.md",
+    "package.json",
+    "README.md",
+    "test.html"
+  ]
+}
diff --git a/package.json b/package.json
index de7339260..e14926562 100644
--- a/package.json
+++ b/package.json
@@ -1,24 +1,28 @@
 {
   "name": "normalize.css",
   "version": "3.0.3",
-  "description": "Normalize.css as a node packaged module",
+  "description": "A modern alternative to CSS resets",
   "style": "normalize.css",
   "files": [
     "LICENSE.md",
     "normalize.css"
   ],
-  "homepage": "http://necolas.github.io/normalize.css",
-  "repository": {
-    "type": "git",
-    "url": "git://github.com/necolas/normalize.css.git"
-  },
-  "main": "normalize.css",
-  "author": "Nicolas Gallagher",
-  "license": "MIT",
   "devDependencies": {
-    "stylelint": "^4.2.0"
+    "stylelint": "^5.1.0",
+    "stylelint-config-standard": "^4.0.1"
   },
   "scripts": {
     "test": "stylelint normalize.css"
+  },
+  "repository": "necolas/normalize.css",
+  "contributors": [
+    "Jonathan Neal <jonathantneal@hotmail.com> (http://jonathantneal.com/)",
+    "Nicolas Gallagher <nicolas@nicolasgallagher.com> (http://nicolasgallagher.com/)"
+  ],
+  "license": "MIT",
+  "bugs": "https://github.com/necolas/normalize.css/issues",
+  "homepage": "https://necolas.github.io/normalize.css#readme",
+  "stylelint": {
+    "extends": "stylelint-config-standard"
   }
 }
